[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScreen.BeginTempCursor

Sets the Cursor property to a temporary shape. Use EndTempCursor to release it.

## Declaration

Source position: forms.pp line 1262

`public procedure TScreen.BeginTempCursor(`
`const aCursor: TCursor`
`);`

## Arguments

`aCursor` |  | Identifies the temporary mouse cursor shape to apply to the screen.

## Description

BeginTempCursor is a method used to change the mouse cursor shape to the temporary cursor in the ACursor argument. It adds the value in ACursor to an internal list of temporary cursors. The cursor shape is removed when the EndTempCursor method is called.

BeginTempCursor calls SetCursor in the widgetset class to change the mouse cursor shape to the value in Cursors stored at the index in ACursor.

Use EndTempCursor to remove a given cursor shape, and restore the mouse cursor to a previous value.

## See also

TScreen.EndTempCursor |  | Releases a temporary mouse cursor set with BeginTempCursor.
TScreen.BeginScreenCursor |  | Changes the active cursor to the most recent shape in the internal list of cursors.
TScreen.EndScreenCursor |  | Removes the current mouse cursor shape from the internal list, and restores the previous cursor shape.
TScreen.BeginWaitCursor |  | Sets the cursor to the shape in crHourGlass.
TScreen.EndWaitCursor |  | Removes the crHourGlass mouse cursor shape.
TScreen.Cursors |  | Provides indexed access to the available mouse cursor shapes for the screen.
TCursor |  | Defines the range of values used for cursor shapes.